List PrivateLink endpoints
GET
https://api.vercel.com/v1/networking/privatelink/endpointsLists all PrivateLink endpoints for a project.
Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({ bearerToken: "<YOUR_BEARER_TOKEN_HERE>",});
async function run() { const result = await vercel.networking.listPrivateLinkEndpoints({ projectId: "prj_a1b2c3d4e5f6g7h8", teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l", slug: "my-team-url-slug", });
console.log(result);}
run();Response
[ { "awsDnsEntries": [], "awsServiceName": "com.amazonaws.vpce.us-east-1.vpce-svc-0123456789abcdef0", "createdAt": "1610963878358", "endpointId": "ple_a1b2c3d4e5f6g7h8", "name": "payments-db", "privateDnsNames": [], "projectId": "prj_a1b2c3d4e5f6g7h8", "status": "available", "statusMessage": "Endpoint did not become available in time. Try deleting and recreating, or visit https://vercel.com/help if the issue persists.", "teamId": "team_a1b2c3d4e5f6g7h8", "updatedAt": "1610963878358", "vercelRegion": "iad1", "vpcEndpointId": "vpce-0123456789abcdef0" }]AuthorizationbearerToken
Default authentication mechanism